ru.bitel.bgbilling.modules.npay.api.common.service

## Interface NpayService

-     public interface NpayService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigDecimal` | `getAmountForUnlock(int contractId, int moduleId)` Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
    `java.math.BigDecimal` | `precalculateAccount(int contractId, int serviceSet, java.util.Date dateFrom, java.util.Date dateTo)` Вычисление будущей наработки для определения рекомендуемого платежа.

- - ### Method Detail

    - #### precalculateAccount

          java.math.BigDecimal precalculateAccount(int contractId,
                                                   int serviceSet,
                                                   java.util.Date dateFrom,
                                                   java.util.Date dateTo)
                                            throws ru.bitel.bgbilling.common.BGException,
                                                   ru.bitel.bgbilling.common.BGMessageException,
                                                   ru.bitel.bgbilling.common.BGIllegalAccessException

      Вычисление будущей наработки для определения рекомендуемого платежа.
      Parameters:
        `contractId` - ID договора.
        `serviceSet` - набор услуг модуля.
        `dateFrom` - дата начала активности договора (должна быть в одном месяце с dateTo).
        `dateTo` - дата окончания активности договора (должна быть в одном месяце с dateFrom).
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalAccessException`

    - #### getAmountForUnlock

          java.math.BigDecimal getAmountForUnlock(int contractId,
                                                  int moduleId)
                                           throws ru.bitel.bgbilling.common.BGException,
                                                  ru.bitel.bgbilling.common.BGMessageException,
                                                  ru.bitel.bgbilling.common.BGIllegalAccessException

      Для заблокированных дебетовых договоров возвращает сумму платежа необходимого для разблокировки.
      Parameters:
        `contractId` - ID договора.
        `serviceSet` - набор услуг модуля.
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`
        `ru.bitel.bgbilling.common.BGIllegalAccessException`